Bug 115976 - Web Inspector: AX: Console log of the Inspector does not announce output for screen readers
Summary: Web Inspector: AX: Console log of the Inspector does not announce output for ...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh Intel OS X 10.8
: P3 Normal
Assignee: James Craig
URL:
Keywords: InRadar
Depends on:
Blocks: 118106
  Show dependency treegraph
 
Reported: 2013-05-11 19:33 PDT by Victor Tsaran
Modified: 2013-06-27 16:05 PDT (History)
7 users (show)

See Also:


Attachments
patch (5.96 KB, patch)
2013-06-26 16:14 PDT, James Craig
timothy: review+
Details | Formatted Diff | Diff
patch with review feedback (5.57 KB, patch)
2013-06-26 22:49 PDT, James Craig
timothy: review+
commit-queue: commit-queue-
Details | Formatted Diff | Diff
patch with corrected paths (4.29 KB, patch)
2013-06-27 13:43 PDT, James Craig
timothy: review+
commit-queue: commit-queue-
Details | Formatted Diff | Diff
patch with corrected paths (for real this time) (5.95 KB, patch)
2013-06-27 14:02 PDT, James Craig
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Victor Tsaran 2013-05-11 19:33:05 PDT
Currently, after typing the expressions into the "console" edit area, the results are not being read back to the screen reader user.
One approach could be to use aria-live or role=status on the most important parts of the pane. The screen reader will then read the dynamic updates automatically.
This, however, needs to be tested and refined further.
Comment 1 Radar WebKit Bug Importer 2013-05-15 07:02:50 PDT
<rdar://problem/13899156>
Comment 2 James Craig 2013-06-26 16:14:14 PDT
Created attachment 205535 [details]
patch
Comment 3 Timothy Hatcher 2013-06-26 17:10:59 PDT
Comment on attachment 205535 [details]
patch

View in context: https://bugs.webkit.org/attachment.cgi?id=205535&action=review

> Source/WebInspectorUI/UserInterface/LogContentView.js:38
> +    this.messagesElement.setAttribute('role', 'log');

Should always use double quotes.

> Source/WebInspectorUI/UserInterface/ConsoleCommandResult.js:49
> +        element.setAttribute('data-labelprefix', WebInspector.UIString("Output: "));

Should always use double quotes.
Comment 4 James Craig 2013-06-26 22:49:02 PDT
Created attachment 205563 [details]
patch with review feedback
Comment 5 WebKit Commit Bot 2013-06-27 12:10:31 PDT
Comment on attachment 205563 [details]
patch with review feedback

Rejecting attachment 205563 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.appspot.com', '--bot-id=webkit-cq-01', 'apply-attachment', '--no-update', '--non-interactive', 205563, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Last 500 characters of output:
/ConsoleCommand.js
|===================================================================
|--- UserInterface/ConsoleCommand.js	(revision 152003)
|+++ UserInterface/ConsoleCommand.js	(working copy)
--------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored
patching file ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.

Failed to run "[u'/Volumes/Data/EWS/WebKit/Tools/Scripts/svn-apply', '--force', '--reviewer', u'Timothy Hatcher']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

Full output: http://webkit-queues.appspot.com/results/977513
Comment 6 James Craig 2013-06-27 13:43:17 PDT
Created attachment 205630 [details]
patch with corrected paths

previous patch was generated from a sub-directory, so the paths were wrong
Comment 7 WebKit Commit Bot 2013-06-27 13:49:23 PDT
Comment on attachment 205630 [details]
patch with corrected paths

Rejecting attachment 205630 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.appspot.com', '--bot-id=webkit-cq-03', 'apply-attachment', '--no-update', '--non-interactive', 205630, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Last 500 characters of output:
his was:
--------------------------
|Index: UserInterface/LogContentView.css
|===================================================================
|--- UserInterface/LogContentView.css	(revision 152121)
|+++ UserInterface/LogContentView.css	(working copy)
--------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored

Failed to run "[u'/Volumes/Data/EWS/WebKit/Tools/Scripts/svn-apply', '--force', '--reviewer', u'Timothy Hatcher']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

Full output: http://webkit-queues.appspot.com/results/899331
Comment 8 James Craig 2013-06-27 14:02:31 PDT
Created attachment 205632 [details]
patch with corrected paths (for real this time)
Comment 9 James Craig 2013-06-27 14:03:13 PDT
Heh. This must be why there is a dedicated webkit-patch script. ;-)
Comment 10 WebKit Commit Bot 2013-06-27 16:05:06 PDT
Comment on attachment 205632 [details]
patch with corrected paths (for real this time)

Clearing flags on attachment: 205632

Committed r152136: <http://trac.webkit.org/changeset/152136>
Comment 11 WebKit Commit Bot 2013-06-27 16:05:11 PDT
All reviewed patches have been landed.  Closing bug.